Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Highlighted
New Developer
Posts: 5
Registered: ‎08-08-2009
My Device: Blackberry Bold 9000

How to switch from 4.7 simulator to older simulator file

I went to "Configure Blackberry Workspace" and changed to MDS simulator to point to an older directory

and I have not seen any changes in the runtime. My app is still running the Storm simulator.

 

I then went to a "Run Configurations" and looked at "Debug Server" and "Simulator" tab.

 

Default one is still 9530 and options to switch, even use other one are grayed out.

 

If I want to create new Simulator configuration my options are limited to 95xx series.

 

I also noticed there is an option to alter the command line (command line parameter list is not even visible how long it is ). 

 

 

C:\eclipse\plugins\net.rim.eide.componentpack4.7.0_4.7.0.46\components\bin\..\simulator\fledge.exe handheld=9500 session=9500 app-param=DisableRegistration app-param=JvmAlxConfigFile:9500.xml data-port=0x4d44 data-port=0x4d4e pin=0x2100000A app=Jvm.dll

 

 My question is:

 

What is the way, in eclipse Ganimede with Blackberry JDE 4.7.x to switch to other simulator, e.g. 9000 or 8800. 

 

I have 4.5 - 4.7 plugins installed.

 

Thank you in advance.